### Hierarchy

- IconDirective

### Implements

- AfterViewInit

## Index

### Inputs

- ariaHidden
- ariaLabel
- ariaLabelledBy
- ibmIcon
- isFocusable
- size
- title

### Constructors

- constructor

### Properties

- ariaHidden
- ariaLabel
- ariaLabelledBy
- elementRef
- ibmIcon
- iconService
- isFocusable
- size
- title
- titleIdCounter

### Methods

- ngAfterViewInit

## Constructors

### constructor

- new IconDirective(elementRef: ElementRef, iconService: IconService): IconDirective

- - Defined in src/icon/icon.directive.ts:34

  #### Parameters

  - ##### elementRef: ElementRef

  - ##### iconService: IconService

  #### Returns IconDirective

## Properties

### ariaHidden

@Input()
ariaHidden: string = ""

- Defined in src/icon/icon.directive.ts:32

### ariaLabel

@Input()
ariaLabel: string = ""

- Defined in src/icon/icon.directive.ts:28

### ariaLabelledBy

@Input()
ariaLabelledBy: string = ""

- Defined in src/icon/icon.directive.ts:30

### Protected elementRef

elementRef: ElementRef

- Defined in src/icon/icon.directive.ts:37

### ibmIcon

@Input()
ibmIcon: string = ""

- Defined in src/icon/icon.directive.ts:22

### Protected iconService

iconService: IconService

- Defined in src/icon/icon.directive.ts:38

### isFocusable

@Input()
isFocusable: boolean = false

- Defined in src/icon/icon.directive.ts:34

### size

@Input()
size: string = "16"

- Defined in src/icon/icon.directive.ts:24

### title

@Input()
title: string = ""

- Defined in src/icon/icon.directive.ts:26

### Static titleIdCounter

titleIdCounter: number = 0

- Defined in src/icon/icon.directive.ts:20

## Methods

### ngAfterViewInit

- ngAfterViewInit(): void

- - Defined in src/icon/icon.directive.ts:41

  #### Returns void

Generated using TypeDoc